#!/bin/sh

#Only working in clean-device.sh:
source /usr/share/clean-device/aegis-check.sh

WHITELIST=/usr/share/preinstalled-applications/packages

echo "*** Uninstalling user installed applications ***"
pkgmgr list-installed | grep -vE '^($|Size:|Maemo|Description|mp-harmattan)' | awk '{print $1;}' | \
while read REPLY; do
    # Skipping the whitelisted items...
    if grep -E "^${REPLY}$" "${WHITELIST}" > /dev/null; then
      echo "Skipping ${REPLY}"
      continue
    fi
    # Uninstalling the other packages...
    echo "Uninstalling ${REPLY}"
    pkgmgr uninstall -p "$REPLY"
done

